Scilab Function
Last update : 16/06/2004

companion - matrice compagnon

### Calling Sequence

  `A=companion(p)`

### Parameters

- `p` : polynôme ou vecteur de polynômes
- `A` : matrice carrée

### Description

Renvoie une matrice `A` dont le polynôme caractéristique est `p` si `p` est unitaire (le coefficient de plus haut degré est égal à un). Si `p` n'est pas unitaire le polynôme caractéristique de `A` est égal à `p/c` où `c` est le coefficient de plus haut degré de `p`.

Si `p` est un vecteur de polynômes unitaires, `A` est bloc-diagonale, et le polynôme caractéristique du i-ème bloc est égal à `p(i)`.

### Examples

    s=poly(0,'s');
    p=poly([1,2,3,4,1],'s','c')
    det(s*eye()-companion(p))
    roots(p)
    spec(companion(p))

### See Also

`spec`, `poly`, `randpencil`,

### Author

F.D.